Generic Image Library: any_image_view Class Template Reference

Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# any_image_view Class Template Reference
[Models]

`#include <any_image_view.hpp>`

Inheritance diagram for any_image_view:

List of all members.

## Detailed Description

### template<typename ImageViewTypes>
class boost::gil::any_image_view< ImageViewTypes >

Represents a run-time specified image view. Models HasDynamicXStepTypeConcept, HasDynamicYStepTypeConcept, Note that this class does NOT model ImageViewConcept.

CLASS any_image_view

Represents a view whose type (color space, layout, planar/interleaved organization, etc) can be specified at run time. It is the runtime equivalent of `image_view`. Some of the requirements of ImageViewConcept, such as the `value_type` typedef cannot be fulfilled, since the language does not allow runtime type specification. Other requirements, such as access to the pixels, would be inefficient to provide. Thus `any_image_view` does not fully model ImageViewConcept. However, many algorithms provide overloads taking runtime specified views and thus in many cases `any_image_view` can be used in places taking a view.

To perform an algorithm on any_image_view, put the algorithm in a function object and invoke it by calling `apply_operation(runtime_view, algorithm_fn)`;

## Public Types

typedef any_image_view < typename detail::views_get_const_t < ImageViewTypes >::type > | const_t
typedef std::ptrdiff_t | x_coord_t
typedef std::ptrdiff_t | y_coord_t
typedef point2< std::ptrdiff_t > | point_t

## Public Member Functions

template<typename T>
| any_image_view (const T &obj)
| any_image_view (const any_image_view &v)
template<typename T>
any_image_view & | operator= (const T &obj)
any_image_view & | operator= (const any_image_view &v)
std::size_t | num_channels () const
point_t | dimensions () const
x_coord_t | width () const
y_coord_t | height () const

The documentation for this class was generated from the following file:

- any_image_view.hpp